
# Frequently Asked Questions

<!-- TOC -->

- [Frequently Asked Questions](#frequently-asked-questions)
    - [I have issues with starting the Engine](#i-have-issues-with-starting-the-engine)
    - [Read More](#read-more)

<!-- /TOC -->

## I have issues with starting the Engine

**Cannot connect to socketpath /opt/aura/engine/modules/liquidsoap/engine.sock. Reason: [Errno 111] Connection refused**

- This indicates some issue with the proper startup of Liquidsoap or any related audio device. Check the Liquidsoap logs for details.

**[clock.wallclock_alsa:2] Error when starting output lineout: Failure("Error while setting open_pcm: No such file or directory")!**

- This might indicate some issue with your ALSA device. Check if `aplay -l` and `aplay -L` returns some valid device(s). You can also try `alsamixer`.
- It might be also helpful to set your default audio device in `/etc/asound.conf`.
- Also check if your user (è.g. `engineuser`) belongs to the group `audio`.
- Check the audio interface configuration section in `engine.ini`. Verify if the default settings `input_device_0="hw:0"` and `output_device_0="hw:0"` are valid device IDs.

## Read More

- [Overview](/README.md)
- [Installation for Development](installation-development.md)
- [Installation for Production](installation-production.md)
- [Running with Docker](running-docker.md)
- [Setup the Audio Store](docs/setup-audio-store.md)
- [Configuration Guide](configuration-guide.md)
- [Developer Guide](developer-guide.md)
- [Engine Features](engine-features.md)
- [Frequently Asked Questions (FAQ)](docs/frequently-asked-questions.md)
